REM This program reads two nibbles of a 8 bit word via STATUS Register
REM The 74LS157 Quad 2 line to 1 line multiplexer is used
CLS
LOCATE 10, 25: PRINT "Byte"
LOCATE 11, 23: PRINT "--------"
port = &H378
status = port + 1
control = port + 2
10 OUT (control), (INP(control) OR &H1): REM Select Low Nibble
a = INP(status) AND &HF0: REM Read the four higher bits of STATUS Reg
a = a / 16: REM Shift four bits to the right
OUT (control), (INP(control) AND &HFE): REM Select High Nibble
b = INP(status) AND &HF0: REM Read the four higher bits of STATUS Reg
y = b OR a: REM Compose byte
y = y XOR &H88: REM Toggle Inverted bits (Read by Busy line)
LOCATE 12, 25: PRINT y
GOTO 10

