REM Input from the Parallel port, Control+Status Register
REM This program is used to input data from pins 1,14,16,17 and 13,12,10,11
REM ADC0804 is used to interface an analog voltage with the parallel port
CLS
port = &H378: REM Basic address
OUT (port + 2), 4: REM output xxxx0100 for Control input initialization
10 y = INP(port + 2): REM Input LSnibble, Control Register
LSB = y AND &HF: REM Zero high nibble
MSB = INP(port + 1) AND &HF0: REM Input MSnibble, Status Register
Byte = (MSB OR LSB) XOR &H84: REM Compose Byte. Toggle inverted bits b2 and b7
LOCATE 10, 10: PRINT Byte
GOTO 10







