10 CLS
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low
OUT &H3FC, (&H2 OR INP(&H3FC)): REM RTS Clock low

OUT &H3F8 + 3, (&HBF AND INP(&H3F8 + 3)): REM Start bit ON
OUT &H3FC, (&HFE AND INP(&H3FC)): REM DTR Clock high
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low

REM Address Word OUT (10=ch0)
OUT &H3F8 + 3, (&HBF AND INP(&H3F8 + 3)): REM TD ON
OUT &H3FC, (&HFE AND INP(&H3FC)): REM DTR Clock high
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low
OUT &H3F8 + 3, (&H40 OR INP(&H3F8 + 3)): REM TD OFF
OUT &H3FC, (&HFE AND INP(&H3FC)): REM DTR Clock high
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low

REM MUX Settling Time
OUT &H3FC, (&HFE AND INP(&H3FC)): REM DTR Clock high
FOR k = 1 TO 100: NEXT
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low

REM DATA Reading (MSB First)
y = 0
FOR i = 7 TO 0 STEP -1
OUT &H3FC, (&HFE AND INP(&H3FC)): REM DTR Clock high
b = ((INP(&H3FE) AND 16) / 16) XOR &H1: PRINT b;
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR Clock low

y = y + b * 2 ^ i
NEXT i
OUT &H3FC, (&HFD AND INP(&H3FC)): REM RTS High
LOCATE 10, 10: PRINT y
FOR k = 1 TO 10000: NEXT
GOTO 10






