REM This program inputs and outbuts 8 bits through the Serial Port
REM Reads the upper four bits of the MSR Register
REM The hardware uses the 74S157 multiplexer, the 74LS164 shift register
REM the 74LS273 octal Latch and two MAX-232 ICs.
CLS
OPEN "COM1:4800,n,8,1,CS,DS,CD" FOR RANDOM AS #1
REM INPUT DATA
OUT &H3FC, (&H2 OR INP(&H3FC)): REM Clock (RTS) Low  
pins = 240
REM pins=240 (&HF0) is for reading the upper 4 bits of the MSR.
10 OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR +12V, MAX232 0V (low nibble)
FOR i = 1 TO 1000: NEXT
y1 = (INP(&H3FE) AND pins)
y1 = (y1 / 16): REM translate four bits to the right
OUT &H3FC, (INP(&H3FC) AND &HFE): REM high nibble
FOR i = 1 TO 1000: NEXT
y2 = (INP(&H3FE) AND pins): REM Read high nibble
y = (y2 OR y1) XOR &HFF: REM compose BYTE and find complement
LOCATE 12, 25: PRINT y

REM OUTPUT DATA
REM All Clocks (DTR, RTS) in low state
OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR clock low. Data Latched.
20 LOCATE 1, 1: INPUT "x="; x
y = x
FOR i = 0 TO 7
b = x MOD 2
PRINT b;
x = INT(x / 2)
OUT &H3FC, (&H2 OR INP(&H3FC)): REM Clock (RTS) Low
IF b = 1 THEN
OUT &H3F8 + 3, (&HBF AND INP(&H3F8 + 3)): REM B6 of LCR selected
ELSE
OUT &H3F8 + 3, (&H40 OR INP(&H3F8 + 3)): REM B6 of LCR inactive
END IF
OUT &H3FC, (&HFD AND INP(&H3FC)): REM Clock (RTS) High
NEXT i
REM Update Latch
OUT &H3FC, (INP(&H3FC) AND &HFE): REM DTR clock high. Latch output updated.
OUT &H3FC, (&HFD AND INP(&H3FC)): REM Clock (RTS) High
REM All Clocks back to low state
OUT &H3FC, (&H2 OR INP(&H3FC)): REM Clock (RTS) Low

GOTO 10





