REM This program reads two nibbles through the Serial Port
REM Reads the upper four bits of the MSR Register
REM The hardware uses the 74S157 multiplexer and two MAX-232 ICs.
CLS
OPEN "COM1:4800,n,8,1,CS,DS,CD" FOR RANDOM AS #1
INPUT a
pins = 240
REM pins=240 (&HF0) is for reading the upper 4 bits of the MSR.
10 OUT &H3FC, (&H1 OR INP(&H3FC)): REM DTR +12V, MAX232 0V (low nibble)
y1 = (INP(&H3FE) AND pins)
y1 = (y1 / 16): REM translate four bits to the right
OUT &H3FC, (INP(&H3FC) AND &HFE): REM high nibble
y2 = (INP(&H3FE) AND pins): REM Read high nibble
y = (y1 OR y2) XOR &HFF: REM compose BYTE and find complement
LOCATE 12, 25: PRINT y

GOTO 10





