VERSION 5.00
Begin VB.Form frmStepMotor2 
   BackColor       =   &H80000009&
   Caption         =   "   2"
   ClientHeight    =   4230
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5055
   LinkTopic       =   "Form1"
   ScaleHeight     =   4230
   ScaleWidth      =   5055
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdEnd 
      BackColor       =   &H80000009&
      Caption         =   "&"
      Height          =   495
      Left            =   3960
      Style           =   1  'Graphical
      TabIndex        =   6
      Top             =   120
      Width           =   975
   End
   Begin VB.CommandButton cmdStart 
      BackColor       =   &H80000009&
      Caption         =   "&"
      Height          =   495
      Left            =   2640
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   120
      Width           =   1095
   End
   Begin VB.Frame fraDirection 
      BackColor       =   &H80000009&
      Caption         =   " "
      Height          =   735
      Left            =   360
      TabIndex        =   2
      Top             =   720
      Width           =   3855
      Begin VB.OptionButton optCW 
         BackColor       =   &H80000009&
         Caption         =   ""
         Height          =   255
         Left            =   2400
         TabIndex        =   4
         Top             =   360
         Width           =   1455
      End
      Begin VB.OptionButton optCCW 
         BackColor       =   &H80000009&
         Caption         =   ""
         Height          =   255
         Left            =   360
         TabIndex        =   3
         Top             =   360
         Width           =   1695
      End
   End
   Begin VB.TextBox txtNoOfSteps 
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   120
      Width           =   495
   End
   Begin VB.Label lblNoOfSteps 
      BackColor       =   &H80000009&
      Caption         =   "  :"
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "frmStepMotor2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    Dim d, st, k, j, y0, y1, a, ag As Integer
    Dim yn0, yn1, y3h, y2h, y1h, y0h, adp, pattern, ahalf, c As Integer
    Dim i, l1, n As Integer
    
Private Sub Form_Load()
    optCCW.Value = True     '   
    cmdStart.Enabled = False
End Sub

Private Sub txtNoOfSteps_Change()
    n = Val(txtNoOfSteps.Text)
    cmdStart.Enabled = True
End Sub

Private Sub cmdStart_Click()
    If optCCW.Value = True Then st = 1  ' 
    If optCW.Value = True Then st = -1  ' 
    Cls
    Print: Print: Print: Print: Print: Print: Print: Print
    Print "           ..    .   Gray"
    Print "==========================";
    Print "=========================="
    
    If st = 1 Then d = -1
    If st = -1 Then d = 1
    For i = 1 To n
        Rem Decimal Code production
        d = d + st
        If d > 3 Then d = 0
        If d < 0 Then d = 3
        
        Rem Binary Code production
        k = d Mod 2         'bit D0
        j = Int(d / 2)      'bit D1
        
        Rem Gray Code production for full step
        y0 = -((-k Xor -j))
        y1 = -((-j))
        ag = y1 * 2 ^ 1 + y0 * 2 ^ 0
        
        Rem Dual phase logic production for full step
        yn0 = -(Not (-y0))
        yn1 = -(Not (-y1))
        adp = y1 * 2 ^ 3 + y0 * 2 ^ 2 + yn1 * 2 ^ 1 + yn0 * 2 ^ 0
        
        Rem Dual phase logic production for half step
        If st = 1 Then
            ahalf = adp - 2 ^ (d + 1)
            If ahalf < 0 Then ahalf = ahalf + 15
        Else
            c = d
            If c > 3 Then c = 0
            ahalf = adp - 2 ^ c
        End If
        
        Rem Gray Code production for half step
        y0h = ahalf Mod 2
        y1h = Int(ahalf / 2) Mod 2
        y2h = Int(ahalf / 4) Mod 2
        y3h = Int(ahalf / 8) Mod 2
        
        If i <= 5 Then
        Print Spc(2); "  ", d; Spc(4); ahalf, Spc(4); j; k, Spc(5); y3h; y2h; y1h; y0h
        Print Spc(2); "", d; Spc(4); adp, Spc(4); j; k, Spc(5); y1; y0; yn1; yn0
        End If
        
        Out &H378, ahalf
        For l1 = 1 To 5000: Next
        Out &H378, adp
        For l1 = 1 To 5000: Next
    Next
    txtNoOfSteps.Text = ""
    cmdStart.Enabled = False
End Sub

Private Sub cmdEnd_Click()
    End
End Sub

