VERSION 5.00
Begin VB.Form frmStepMotor3 
   Caption         =   "   3"
   ClientHeight    =   3600
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5490
   LinkTopic       =   "Form1"
   ScaleHeight     =   3600
   ScaleWidth      =   5490
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrTimer 
      Enabled         =   0   'False
      Left            =   4920
      Top             =   0
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "&"
      Height          =   495
      Left            =   3120
      TabIndex        =   10
      Top             =   3000
      Width           =   2050
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&"
      Height          =   495
      Left            =   840
      TabIndex        =   9
      Top             =   3000
      Width           =   2050
   End
   Begin VB.TextBox txtSpeedInput 
      Height          =   285
      Left            =   4680
      TabIndex        =   7
      Top             =   1740
      Width           =   495
   End
   Begin VB.Frame fraStep 
      Caption         =   "B"
      Height          =   1215
      Left            =   3480
      TabIndex        =   1
      Top             =   360
      Width           =   1695
      Begin VB.OptionButton optHalfStep 
         Caption         =   ""
         Height          =   195
         Left            =   240
         TabIndex        =   5
         Top             =   720
         Width           =   855
      End
      Begin VB.OptionButton optFullStep 
         Caption         =   ""
         Height          =   255
         Left            =   240
         TabIndex        =   4
         Top             =   360
         Width           =   975
      End
   End
   Begin VB.Frame fraDirection 
      Caption         =   " "
      Height          =   1215
      Left            =   960
      TabIndex        =   0
      Top             =   360
      Width           =   2175
      Begin VB.OptionButton optCW 
         Caption         =   ""
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   720
         Width           =   1335
      End
      Begin VB.OptionButton optCCW 
         Caption         =   ""
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   360
         Width           =   1695
      End
   End
   Begin VB.Label lblTotalInfo 
      AutoSize        =   -1  'True
      Height          =   435
      Left            =   960
      TabIndex        =   8
      Top             =   2160
      Width           =   4245
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblSpeedInput 
      Caption         =   "  (   ) : "
      Height          =   255
      Left            =   960
      TabIndex        =   6
      Top             =   1800
      Width           =   3855
   End
End
Attribute VB_Name = "frmStepMotor3"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    Dim Direction, Step, SpeedStr As String
    Dim Speed, Frequency As Single
    Dim i, k, delay, log0, log1, pattern As Integer

Private Sub Form_Load()
    optCCW.Value = True
    optFullStep.Value = True
    Call TotalInfo
    tmrTimer.Interval = 0
End Sub

Private Sub cmdStart_Click()
    If optCCW.Value = True Then   'CCW
        If optFullStep = True Then   'CCW, FS
            log0 = 17: log1 = 21     'Bits: xxx10y01, y=0/1
        Else                         'CCW, HS
            log0 = 19: log1 = 23     'Bits: xxx10y11, y=0/1
        End If
    Else                          'CW
        If optFullStep = True Then   'CW, FS
            log0 = 25: log1 = 29     'Bits: xxx11y01, y=0/1
        Else                         'CW, HS
            log0 = 27: log1 = 31     'Bits: xxx11y11, y=0/1
        End If
    End If
  
    Frequency = Speed / 60
    delay = Int(30000 / Speed)      'Half Period in msec
    tmrTimer.Interval = delay      'delay=500/freq
    Print Speed, Frequency, delay
    k = 0
    tmrTimer.Enabled = True
End Sub
    
Private Sub tmrTimer_Timer()
    If k Mod 2 = 0 Then pattern = log0
    If k Mod 2 = 1 Then pattern = log1
    Out &H378, pattern
    Print "Hey"; k; pattern
    k = k + 1
End Sub

Private Sub TotalInfo()
    lblTotalInfo.Caption = "    " & Direction & " ,  " & Step & "   " & Speed & "   ."
End Sub

Private Sub optCCW_Click()
    Direction = ""
    Call TotalInfo
End Sub

Private Sub optCW_Click()
    Direction = ""
    Call TotalInfo
End Sub

Private Sub optFullStep_Click()
    Step = ""
    Call TotalInfo
End Sub

Private Sub optHalfStep_Click()
    Step = ""
    Call TotalInfo
End Sub

Private Sub txtSpeedInput_Change()
    SpeedStr = txtSpeedInput.Text
    Speed = Val(SpeedStr)
    Call TotalInfo
End Sub

Private Sub cmdStop_Click()
    End
End Sub

